JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.customers.promotionalEntitlements.revoke('featureId', {
id: 'id',
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.customers.promotional_entitlements.revoke(
feature_id="featureId",
id="id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Customers.PromotionalEntitlements.Revoke(
context.TODO(),
"featureId",
stigg.V1CustomerPromotionalEntitlementRevokeParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementRevokeParams;
import io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementRevokeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
PromotionalEntitlementRevokeParams params = PromotionalEntitlementRevokeParams.builder()
.id("id")
.featureId("featureId")
.build();
PromotionalEntitlementRevokeResponse response = client.v1().customers().promotionalEntitlements().revoke(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.customers.promotional_entitlements.revoke("featureId", id: "id")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Customers.PromotionalEntitlements;
StiggClient client = new();
PromotionalEntitlementRevokeParams parameters = new()
{
ID = "id",
FeatureID = "featureId",
};
var response = await client.V1.Customers.PromotionalEntitlements.Revoke(parameters);
Console.WriteLine(response);stigg v1:customers:promotional-entitlements revoke \
--api-key 'My API Key' \
--id id \
--feature-id featureIdcurl --request DELETE \
--url https://api.stigg.io/api/v1/customers/{id}/promotional-entitlements/{featureId} \
--header 'X-API-KEY: <api-key>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stigg.io/api/v1/customers/{id}/promotional-entitlements/{featureId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"featureId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isVisible": true,
"usageLimit": 123,
"hasSoftLimit": true,
"hasUnlimitedUsage": true,
"resetPeriodConfiguration": {
"accordingTo": "SubscriptionStart"
},
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enumValues": [
"<string>"
],
"featureGroupIds": [
"<string>"
]
}
}{
"message": "<string>"
}{
"message": "<string>",
"code": "Unauthenticated"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"code": "RateLimitExceeded"
}Promotional Entitlements
Revoke promotional entitlement
Revokes a previously granted promotional entitlement from a customer for a specific feature.
DELETE
/
api
/
v1
/
customers
/
{id}
/
promotional-entitlements
/
{featureId}
JavaScript
import Stigg from '@stigg/typescript';
const client = new Stigg({
apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});
const response = await client.v1.customers.promotionalEntitlements.revoke('featureId', {
id: 'id',
});
console.log(response.data);import os
from stigg import Stigg
client = Stigg(
api_key=os.environ.get("STIGG_API_KEY"), # This is the default and can be omitted
)
response = client.v1.customers.promotional_entitlements.revoke(
feature_id="featureId",
id="id",
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stiggio/stigg-go"
"github.com/stiggio/stigg-go/option"
)
func main() {
client := stigg.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.V1.Customers.PromotionalEntitlements.Revoke(
context.TODO(),
"featureId",
stigg.V1CustomerPromotionalEntitlementRevokeParams{
ID: "id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}package io.stigg.example;
import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementRevokeParams;
import io.stigg.models.v1.customers.promotionalentitlements.PromotionalEntitlementRevokeResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
StiggClient client = StiggOkHttpClient.fromEnv();
PromotionalEntitlementRevokeParams params = PromotionalEntitlementRevokeParams.builder()
.id("id")
.featureId("featureId")
.build();
PromotionalEntitlementRevokeResponse response = client.v1().customers().promotionalEntitlements().revoke(params);
}
}require "stigg"
stigg = Stigg::Client.new(api_key: "My API Key")
response = stigg.v1.customers.promotional_entitlements.revoke("featureId", id: "id")
puts(response)using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Customers.PromotionalEntitlements;
StiggClient client = new();
PromotionalEntitlementRevokeParams parameters = new()
{
ID = "id",
FeatureID = "featureId",
};
var response = await client.V1.Customers.PromotionalEntitlements.Revoke(parameters);
Console.WriteLine(response);stigg v1:customers:promotional-entitlements revoke \
--api-key 'My API Key' \
--id id \
--feature-id featureIdAuthorizations
Server API Key
Headers
Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.
Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).
Path Parameters
The unique identifier of the customer
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.@-]*$The unique identifier of the entitlement feature
Required string length:
1 - 255Pattern:
^[a-zA-Z0-9][a-zA-Z0-9_|.-]*$Response
The revoked promotional entitlement object.
Response object
Granted feature entitlement
Show child attributes
Show child attributes
⌘I
